import sys
import datetime
sys.path.append('J:\\Softwareprojekte\\Polytrader\\venv\\Lib\\site-packages')
from py_clob_client.signer import Signer
from py_clob_client.signing.eip712 import sign_clob_auth_message

signer = Signer("425454f8eef01dc6d4effeec1a9587f5969b53c18c7c9e621da73b9e80effd60", 137)
target_sig = "0x3c4f2c1cbede3e423c265a90cfc32e37c2336e95fc4aa92e82081c96bcf518295893c4e65f0c2ae6e414210815e37f40200a4b5cad0104c0f71de5551297fd5d1c"

sig = sign_clob_auth_message(signer, 1774537612, 0)
print("PYTHON SIG: " + sig)
print("CSHARP SIG: " + target_sig)
if sig == target_sig:
    print("THEY ARE IDENTICAL!!")
else:
    print("THE ECDSA OUTPUT DIFFERS!!")
